Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 11:49:57 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I requested a return for two of my items from my order. My order number is 9645288145. I requested on 26 of March and your delivery partner picked it up on 27 March. I still haven’t received my refund in my credit. I have called several times but no use. I haven’t even received any message that they picked up my items . In the order section it’s coming “return requested”. Also the email given on my personal information is wrong . The one I wrote here is the correct email. Kindly check it and transfer my refund in My credit as soon as possible. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2394187